<template>
  <section id="mxv-newsletter" class="relative-position border-top q-pb-xl bg-white">
    <SectionHeader :title="$t('home.keepPosted.title')"/>

    <main class="container-fluid border q-pa-md q-mb-lg">
      <div class="row">
        <div id="newsletter-img" class="col-xs-12 col-md-6"></div>
        <div id="newsletter-form" class="col-xs-12 offset-md-1 col-md-5 q-px-sm text-justify">
          <p class="text-body2">
            {{ $t('home.keepPosted.text') }}
          </p>

          <div class="row justify-center">
            <NewsletterForm />
          </div>

        </div>
      </div>

    </main>
  </section>
</template>

<script>
  import SectionHeader from '@/components/SectionHeader'
  import NewsletterForm from '@/components/NewsletterForm'

  export default {
    name: "KeepPostedSection",
    components: {
      SectionHeader,
      NewsletterForm
    }
  }
</script>

<style scoped lang="stylus">
  #mxv-newsletter > main
    background: white
    max-width: 700px

  #newsletter-img
    background-image: url("https://res.cloudinary.com/despertaweb/image/upload/ar_16:9,c_fill,e_sharpen,g_auto,q_50,w_1000/v1598308912/Masies%20x%20Viure/Landing/newsletter_masies_x_viure.jpg")
    background-size: cover
    background-position: center 0px
    height: 270px

    @media screen and (min-width: 576px)
      background-position: center -30px
      margin-bottom 15px

    @media screen and (min-width: 769px)
      background-image: url("/img/keep_posted/newsletter_masies_x_viure.jpg")
      background-position-y: 500px
      height: 400px
      background-size: cover
    @media (min-width: $breakpoint-sm-max) {
      margin-bottom 0px
      background-position-y: -125px
      height: 400px
      background-size: 400px
    }
</style>
